|  | Home | Documentation | saml1__AttributeStatementType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AttributeStatementType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AttributeStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__AttributeStatementType:
[legend]

## Public Attributes
struct saml1__SubjectType * | saml1__Subject
| INHERITED FROM saml1__StatementAbstractType: More...
$int | __sizeAttribute
| Size of the dynamic array of struct saml1__AttributeType* is 1..unbounded. More...
struct saml1__AttributeType * | saml1__Attribute
| Array struct saml1__AttributeType* of size 1..unbounded. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AttributeStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType.

struct saml1__AttributeStatementType operations:

- saml1__AttributeStatementType* soap_new_saml1__AttributeStatementType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__AttributeStatementType(struct soap*, saml1__AttributeStatementType*) default initialize members
- int soap_read_saml1__AttributeStatementType(struct soap*, saml1__AttributeStatementType*) deserialize from a source
- int soap_write_saml1__AttributeStatementType(struct soap*, saml1__AttributeStatementType*) serialize to a sink
- saml1__AttributeStatementType* soap_dup_saml1__AttributeStatementType(struct soap*, saml1__AttributeStatementType* dst, saml1__AttributeStatementType <em>src) returns deep copy of saml1__AttributeStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__AttributeStatementType(saml1__AttributeStatementType) deep deletes saml1__AttributeStatementType data members, use only on dst after soap_dup_saml1__AttributeStatementType(NULL, saml1__AttributeStatementType *dst, saml1__AttributeStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml1__AttributeStatementType::__sizeAttribute

Size of the dynamic array of struct saml1__AttributeType* is 1..unbounded.

struct saml1__AttributeType* saml1__AttributeStatementType::saml1__Attribute

Array struct saml1__AttributeType* of size 1..unbounded.

struct saml1__SubjectType* saml1__AttributeStatementType::saml1__Subject

INHERITED FROM saml1__StatementAbstractType:

INHERITED FROM saml1__SubjectStatementAbstractType: Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Subject. Required element.

The documentation for this struct was generated from the following file:

- saml1.h